#!/bin/bash


# Format Version
#  rm -R ~/.hyperteleport; wget updates.quickorderpos.com/hyperteleport/install.sh -O ~/.quickorder/install.sh; chmod uog+x ~/.quickorder/install.sh; ~/.quickorder/install.sh

# Normal Version
#  wget updates.quickorderpos.com/hyperteleport/install.sh -O ~/.quickorder/install.sh; chmod uog+x ~/.quickorder/install.sh; ~/.quickorder/install.sh

DEST=~/.quickorder
DESKTOP=Scrivania
ARCH=`uname -m`

echo 
echo "	examples: $0"
echo "		  $0 ~/.quickorder"
echo 

if (( "$#" > 1 )); then
	DEST=$1
fi 

echo $DEST

#rm -Rf ~/.hyperteleport
rm -Rf ~/$DESKTOP/hyperteleport
rm ~/$DESKTOP/hyperteleport.tar.gz
rm -Rf $DEST/hyperteleport
mkdir -p $DEST/hyperteleport

if [ ${ARCH} != 'x86_64' ]; then
        ARCH=x86
fi

if [ ${ARCH} == 'x86_64' ]; then
	wget www.erp-italia.it/download/hyperteleport.x86_64.tar.gz -O $DEST/hyperteleport.tar.gz
else
	wget www.erp-italia.it/download/hyperteleport.tar.gz -O $DEST/hyperteleport.tar.gz
fi


tar -xvf $DEST/hyperteleport.tar.gz -C $DEST 

cp $DEST/hyperteleport/.bin/installer/HyperTeleport.desktop ~/$DESKTOP
